Package com.pixelmed.network

# Class PDataPDU

java.lang.Object
com.pixelmed.network.PDataPDU

public class PDataPDU extends Object

## Constructor Summary

Constructors
Constructor
Description
`PDataPDU(byte[] pdu)`
`PDataPDU(LinkedList pdvList)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`containsLastCommandFragment()`
`boolean`
`containsLastDataFragment()`
`byte[]`
`getBytes()`
`LinkedList`
`getPDVList()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PDataPDU

public PDataPDU(LinkedList pdvList) throws DicomNetworkException

Parameters:
  `pdvList` -
Throws:
  `DicomNetworkException`

### PDataPDU

public PDataPDU(byte[] pdu) throws DicomNetworkException

Parameters:
  `pdu` -
Throws:
  `DicomNetworkException`

## Method Details

### getBytes

public byte[] getBytes()

### getPDVList

public LinkedList getPDVList()

### containsLastCommandFragment

public boolean containsLastCommandFragment()

### containsLastDataFragment

public boolean containsLastDataFragment()

### toString

public String toString()

Overrides:
  `toString` in class `Object`